TLS context

Joe Little jlittle at open-it.org
Wed Jan 2 02:49:16 CET 2002


Damnit.. your right. I did my build on a virgin redhat 7.2 box with included
OpenLDAP 2.0.11 and not my version of the packages. Treats me right. a beta
OpenLDAP 2.0.19 RPM sailed right through. Does anyone know where this is
fixed so that I can log it?


On 1/1/02 5:31 PM, "Michael Ströder" <michael at stroeder.com> wrote:

> Joe Little wrote:
>> 
>> [..] was starting to get my python-ldap RPM back into shape.
>> Well, I see that configure is now gone in lieu of setup.py (distutils) in
>> the latest CVS version. Simple enough. However, doing a test "make" brought
>> up this TLS context stuff that I see came up a bit ago here.
>> Specifically, a make fails with "LDAP_OPT_X_TLS_CTX" undeclared in
>> Modules/constants.c (203).
> 
> You probably have to upgrade your OpenLDAP 2 libs. (That's what I
> had to do.)
> 
>> From the discussion, it would appear code must
>> first declare this,
> 
> I think you have to define all the certificate-related stuff before
> you do a LDAP over SSL connect by calling
> ldap.initialize('ldaps://..') or before calling method start_tls_s()
> of an existing LDAPObject instance.
> 
> I did not test it very well up to now.
> 
> Ciao, Michael.
> 
> 


More information about the python-ldap mailing list